Subject: bug#25967: [PATCH] Add support for ImageMagick 7 (Bug#25967)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Sep 2018 05:38:45 +0300

> From: Andy Moreton <[email-masked]>
> Date: Tue, 04 Sep 2018 20:03:07 +0100
> 
> >> +       '(imagemagick "libMagickWand-7.Q16HDRI-6.dll")))
> >
> > Is this DLL name fixed for all the supported versions?  It sounds
> > like it's only for Imagemagick v7, and so the DLL for version 6 will
> > be named differently.
> 
> Indeed. v6 is legacy (and not available on any platform I currently test
> on).

I see a precompiled binary on the Imagemagick site.

> The DLL name is from the current package for MSYS2.

How frequently does the name of the DLL change?  If it changes with
each update, we should find a way of allowing users to still use
previous or next compatible DLLs.  We don't want to require them to
upgrade all the time.

> > For these two reasons, I think we should have a Lisp variable that
> > provides the version of Imagemagick with which Emacs was built, and we
> > need the dispatch in w32-win.el for loading the correct DLLs based on
> > that variable, like we do with libgif etc.
> 
> Agreed. Do you use Imagemagick on mingw.org builds ? Is there a packaged
> library available there ?

No, not that I know of.  I think we should provide compatibility to
MSYS2 packages and to packages provided by Imagemagick themselves.